"use strict";
const common_vendor = require("../../common/vendor.js");
if (!Array) {
  const _easycom_u_subsection2 = common_vendor.resolveComponent("u-subsection");
  _easycom_u_subsection2();
}
const _easycom_u_subsection = () => "../../node-modules/uview-plus/components/u-subsection/u-subsection.js";
if (!Math) {
  _easycom_u_subsection();
}
const _sfc_main = /* @__PURE__ */ common_vendor.defineComponent({
  __name: "index",
  setup(__props) {
    var _a, _b;
    const $api = (_a = common_vendor.getCurrentInstance()) == null ? void 0 : _a.appContext.config.globalProperties.$api;
    (_b = common_vendor.getCurrentInstance()) == null ? void 0 : _b.appContext.config.globalProperties.$config;
    const tabList = common_vendor.ref(["销量榜", "保值榜", "店铺规模榜"]);
    const curNow = common_vendor.ref(0);
    const config = common_vendor.ref({ logoUrl: [] });
    const list = common_vendor.ref([]);
    const total = common_vendor.ref(0);
    const skip = common_vendor.ref(0);
    const limit = common_vendor.ref(6);
    const page = common_vendor.ref(0);
    const is_bottom = common_vendor.ref(false);
    common_vendor.ref(0);
    common_vendor.onLoad(async () => {
      await searchConfig();
      await search();
    });
    const searchConfig = async () => {
      config.value = common_vendor.index.getStorageSync("config");
    };
    const search = async () => {
      const info = {
        skip: skip.value,
        limit: limit.value,
        status: "0"
      };
      const res = await $api("car", "GET", info);
      if (res.errcode === 0) {
        list.value = list.value.concat(res.data);
        total.value = res.total;
      } else {
        common_vendor.index.showToast({
          title: res.errmsg || "",
          icon: "error"
        });
      }
    };
    const sectionChange = (index) => {
      curNow.value = index;
    };
    const toView = (item) => {
      common_vendor.index.navigateTo({
        url: `/pagesHome/car/index?id=${item.id || item._id}`
      });
    };
    const toPage = () => {
      if (total.value > list.value.length) {
        common_vendor.index.showLoading({
          title: "加载中",
          mask: true
        });
        page.value = page.value + 1;
        skip.value = page.value * limit.value;
        search();
        common_vendor.index.hideLoading();
      } else
        is_bottom.value = true;
    };
    return (_ctx, _cache) => {
      return common_vendor.e({
        a: common_vendor.o(sectionChange),
        b: common_vendor.p({
          mode: "subsection",
          activeColor: "#2979ff",
          list: tabList.value,
          current: curNow.value
        }),
        c: common_vendor.f(list.value, (item, index, i0) => {
          return common_vendor.e({
            a: common_vendor.t(index + 1),
            b: common_vendor.n(`rank${index + 1}`),
            c: item.file && item.file.length > 0 ? item.file[0].url : "",
            d: common_vendor.t(item.series || "暂无"),
            e: common_vendor.t(item.year || "暂无"),
            f: common_vendor.t(item.style || "暂无"),
            g: item.year
          }, item.year ? {
            h: common_vendor.t(item.year || "暂无")
          } : {}, {
            i: item.mileage
          }, item.mileage ? {
            j: common_vendor.t(item.mileage || "暂无")
          } : {}, {
            k: item.place
          }, item.place ? {
            l: common_vendor.t(item.place || "暂无")
          } : {}, {
            m: common_vendor.t(item.total_money || "0"),
            n: index,
            o: common_vendor.o(($event) => toView(item), index)
          });
        }),
        d: is_bottom.value
      }, is_bottom.value ? {
        e: common_vendor.t(config.value.bottom_title || "没有更多了！")
      } : {}, {
        f: common_vendor.o(toPage)
      });
    };
  }
});
const MiniProgramPage = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-581af8d0"], ["__file", "D:/project/赋强公证/notarization_applet/pagesHome/rank/index.vue"]]);
wx.createPage(MiniProgramPage);
